Problem with weathermap: "editor.php"

Support questions about the Network Weather Map plugin

Moderators: Moderators, Developers

Author
Message
User avatar
Howie
Cacti Guru User
Posts: 5337
Joined: Thu Sep 16, 2004 5:53 am
Location: United Kingdom
Contact:

#16 Post by Howie » Wed Jan 28, 2009 6:22 am

OK, never heard of iceweasel, but if it has Javascript, it should work.

and did you verify that editor.js is being loaded too?
Weathermap 0.98 is out! & QuickTree 1.0. Superlinks is over there now (and built-in to Cacti 1.x).
Some Other Cacti tweaks, including strip-graphs, icons and snmp/netflow stuff.
(Let me know if you have UK DevOps or Network Ops opportunities, too!)

MissouriSpartan
Posts: 34
Joined: Fri Dec 16, 2016 12:52 pm

Re: Problem with weathermap: "editor.php"

#17 Post by MissouriSpartan » Thu Aug 10, 2017 4:51 pm

I know this is an old thread, but my weathermap plugin is not working on cacti 1.1.16 (I'm running weathermap 0.98). I get the "DOM and Javascript support" error when trying to access the editor page. So I hit F12, brought up my console, and refreshed the page and saw the following error in the console: "Uncaught ReferenceError: jQuery is not defined at editor.js:39"

Any ideas?

User avatar
Howie
Cacti Guru User
Posts: 5337
Joined: Thu Sep 16, 2004 5:53 am
Location: United Kingdom
Contact:

Re: Problem with weathermap: "editor.php"

#18 Post by Howie » Thu Aug 10, 2017 4:56 pm

Weathermap 0.98 doesn't work with Cacti 1.x

You shouldn't even have been able to enable it, actually... the Plugin Management page should refuse to do that.

Weathermap 1.0.0 will work with Cacti 1.x. It isn't done yet. It's been very slow going to figure out issues, partly due to time constraints (I have a day job and a family), and partly because it takes a lot of picking through the Cacti code to figure out what is supposed to happen. I'm getting tired of working on it, so hopefully it'll be done soon.
Weathermap 0.98 is out! & QuickTree 1.0. Superlinks is over there now (and built-in to Cacti 1.x).
Some Other Cacti tweaks, including strip-graphs, icons and snmp/netflow stuff.
(Let me know if you have UK DevOps or Network Ops opportunities, too!)

MissouriSpartan
Posts: 34
Joined: Fri Dec 16, 2016 12:52 pm

Re: Problem with weathermap: "editor.php"

#19 Post by MissouriSpartan » Thu Aug 10, 2017 4:59 pm

Oh ok. My bad. Yes, Cacti 1.1.16 did allow me to install and activate it, but the editor does not work. Weathermap even runs through its cycle on the cacti log. It's just the editor (both cli and web) that doesn't work. Thanks, Howie!!

User avatar
Howie
Cacti Guru User
Posts: 5337
Joined: Thu Sep 16, 2004 5:53 am
Location: United Kingdom
Contact:

Re: Problem with weathermap: "editor.php"

#20 Post by Howie » Thu Aug 10, 2017 5:34 pm

Huh. Odd. Did you upgrade from an earlier Cacti, or is this a fresh install?
Weathermap 0.98 is out! & QuickTree 1.0. Superlinks is over there now (and built-in to Cacti 1.x).
Some Other Cacti tweaks, including strip-graphs, icons and snmp/netflow stuff.
(Let me know if you have UK DevOps or Network Ops opportunities, too!)

MissouriSpartan
Posts: 34
Joined: Fri Dec 16, 2016 12:52 pm

Re: Problem with weathermap: "editor.php"

#21 Post by MissouriSpartan » Thu Aug 10, 2017 6:21 pm

Fresh install on Ubuntu 16.04.2.

Post Reply